will phpBB 2.2 also support MySQLi

Discuss features as they are added to the new version. Give us your feedback. Don't post bug reports, feature requests, support questions or suggestions here.
Forum rules
Discuss features as they are added to the new version. Give us your feedback. Don't post bug reports, feature requests, support questions or suggestions here. Feature requests are closed.
User avatar
olger901
Registered User
Posts: 536
Joined: Tue May 11, 2004 4:57 pm

will phpBB 2.2 also support MySQLi

Post by olger901 »

Hello all developers,

I recently upgraded to MySQL 4.1.7 because it was marked as Stable Release today. But that is incompatible with PHP 4.3.9 so I decided to downgrade again

I also tried using MySQL 4.1.7 with PHP 5.0.2 but that isn't working because it seems that MySQL support has been replaced with a new extension called MySQLi which does support MySQL 4.1.x now my question was will phpBB 2.2 also support MySQLi or will it only support the MySQL extension, because if it only will support MySQL it will be incompatible with MySQL 4.1.x and that wouldn't be fun :(
-
User avatar
Viperal2
Registered User
Posts: 223
Joined: Tue Jun 08, 2004 9:28 pm
Contact:

Re: will phpBB 2.2 also support MySQLi

Post by Viperal2 »

If you need a Mysqli layer i can wipe an unoffical up for you.

Just post if you need it. ;)
What is The Viperal ?

http://developer.berlios.de/projects/viperals/" target="_blank
User avatar
psoTFX
Registered User
Posts: 1984
Joined: Tue Jul 03, 2001 8:50 pm
Contact:

Re: will phpBB 2.2 also support MySQLi

Post by psoTFX »

The intention was to support MySQLi ... it's still likely we will given it's not all that different from the current MySQL module.
sparkster
Registered User
Posts: 182
Joined: Mon Jan 05, 2004 1:18 am

Re: will phpBB 2.2 also support MySQLi

Post by sparkster »

You can also compile PHP5 to use the legacy MySQL extension against MySQL 4.1.x :)
User avatar
olger901
Registered User
Posts: 536
Joined: Tue May 11, 2004 4:57 pm

Re: will phpBB 2.2 also support MySQLi

Post by olger901 »

sparkster wrote:You can also compile PHP5 to use the legacy MySQL extension against MySQL 4.1.x :)
Not on my dirty annoying Windblows Server.
-
sparkster
Registered User
Posts: 182
Joined: Mon Jan 05, 2004 1:18 am

Re: will phpBB 2.2 also support MySQLi

Post by sparkster »

olger901 wrote: Not on my dirty annoying Windblows Server.
Oh, I'm sorry... ;)
dmaj007
Registered User
Posts: 52
Joined: Mon Aug 25, 2003 9:31 pm

Re: will phpBB 2.2 also support MySQLi

Post by dmaj007 »

This would be a very interesting implamentation. The function names between mysqli and mysql are not identical. also, if this would be done, would you extend the mysqli class or instante the class and reuse it inside of the db class or would you just use the mysqli function names and use the resource id from the connect?
Roberdin
Registered User
Posts: 1546
Joined: Wed Apr 09, 2003 8:44 pm
Location: London, United Kingdom

Re: will phpBB 2.2 also support MySQLi

Post by Roberdin »

The MySQLi class has already been written, AFAIK. Take a look at the CVS;

/includes/db/mysql4.php
Rob
User avatar
olger901
Registered User
Posts: 536
Joined: Tue May 11, 2004 4:57 pm

Re: will phpBB 2.2 also support MySQLi

Post by olger901 »

Oh heh sorry for all the trouble, I contacted the authors of PHP aswell they said that it would be fixed in PHP 5.0.3 because MySQL 4.1.7 uses a new authentication method and PHP 5.0.3 will have support for it.
-
dmaj007
Registered User
Posts: 52
Joined: Mon Aug 25, 2003 9:31 pm

Re: will phpBB 2.2 also support MySQLi

Post by dmaj007 »

thats just mysql4, it has transactions in it. mysqli is a class library that allows a new way ( better IMHO ) of doing DBs.
Post Reply